api/urls.py
from django.urls import include, re_path

urlpatterns = [
    # global
    re_path(r'^', include('api.global.urls')),
    # v1
    re_path(r'^v1/accounts/', include('api.v1.accounts.urls')),
    re_path(r'^v1/ticket/', include('api.v1.ticket.urls')),
    re_path(r'^v1/faq/', include('api.v1.faq.urls')),
    re_path(r'^v1/knowledges_base/', include('api.v1.knowledgebase.urls')),
    re_path(r'^v1/article/', include('api.v1.article.urls')),
    re_path(r'^v1/project/', include('api.v1.project.urls')),
    re_path(r'^v1/blog/', include('api.v1.blog.urls')),

    # v2

]

api/v1/blog/urls.py
from rest_framework import routers

from . import views as view


app_name= 'api_v1_blog'

router = routers.SimpleRouter()

router.register(r'posts', view.PostViewSet)
router.register(r'post_categories', view.CategoryViewSet)

urlpatterns = router.urls

blog/urls.py
from django.urls import path, re_path, include
from . import views

app_name = 'blog'
urlpatterns = [
    re_path(r'^$', views.BlogTemplateView.as_view(), name='project') ,
    path('<str:slug>/',views.PostTemplateView.as_view(),name='blog_post'),
]

dashboard/urls.py
from django.urls import path, re_path, include
from . import views
from ticket.views import TicketCreateView
from ticket.views import TicketDetailView
from project.views import ProjectView
from project.views import ProjectTemplateView
from project.views import ProjectFinalizeView
from project.views import ProjectShownView

from django.views.decorators.cache import cache_page


app_name = 'dashboard'
urlpatterns = [
    re_path(r'^$', views.HomeView.as_view(), name='home'),
    re_path(r'^account/$', views.AccountView.as_view(), name='account'),
    re_path(r'^account/team/list/$', views.TeamView.as_view(), name='project-team-list'),
    
    re_path(r'^account/profile/(?P<sku_app>\w+\d*)/$', views.AccountProfileUpdateView.as_view(), name='account-profile-edit'),
    re_path(r'^account/profile/(?P<sku_app>\w+\d*)/published/$', views.AccountProfileFinalizeView.as_view(), name='account-profile-published'),
    # cached
    re_path(r'^account/applications/$', views.ApplicationListView.as_view(), name='application-list'),

    re_path(r'^account/application/(?P<pk>\d+)/create/$', views.ApplicationCreateView.as_view(), name='application-create'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/published/$', views.ApplicationFinalizeView.as_view(), name='application-published'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/$', views.ApplicationView.as_view(), name='application-edit'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/$', ProjectView.as_view(), name='application-project-edit'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/shown/$', ProjectShownView.as_view(), name='application-project-shown'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/preview/$', ProjectTemplateView.as_view(), name='project-view'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/published/$', ProjectFinalizeView.as_view(), name='application-project-published'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/team/members/$', views.TeamMemberView.as_view(), name = 'project-team-member'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/team/published/$', views.TeamPublishedView.as_view(), name = 'project-team-published'),
    # cached
    re_path(r'^knowledge-base/$', cache_page(60*15)(views.KnowledgeBaseView.as_view()), name='knowledge-base'),
    re_path(r'^privacy-policy/$', cache_page(60*15)(views.PrivacyPolicyView.as_view()), name='privacy-policy'),
    re_path(r'^faq/$', cache_page(60*15)(views.FAQView.as_view()), name='faq'),
    
    re_path(r'^ticket/$', TicketCreateView.as_view(), name='ticket-create'),
    re_path(r'^ticket/(?P<sku>\w+)/$', TicketDetailView.as_view(), name='ticket-detail'),  
]

pages/urls.py
from django.urls import path, re_path, include
from django.views.decorators.cache import cache_page
from . import views

app_name = 'pages'
urlpatterns = [
    re_path(r'^$', views.HomeView.as_view(), name='home'),
    re_path(r'^service/$', views.ServiceView.as_view(), name='service'),
    re_path(r'^about/$', views.AboutView.as_view(), name='about'),
    re_path(r'^contact/$', views.ContactView.as_view(), name='contact'),
    re_path(r'^portfolio/$', views.PortfolioView.as_view(), name='portfolio'),
    re_path(r'^portfolio/(?P<slug>[\w\-]+)/$', views.PortfolioDetailView.as_view(), name='project-detail'),
]

project/urls.py
from django.urls import path, re_path, include
from . import views

app_name = 'project'
urlpatterns = [

]

project/forms.py
from django import forms

from project.models import Project
from ckeditor.widgets import CKEditorWidget

class ProjectForm(forms.ModelForm):
    
    class Meta:

        model = Project

        fields = ('title',
                  'summary',
                  'summary_img',
                  'cover',
                  'problem',
                  'problem_img',
                  'solution',
                  'solution_img',
                  'product',
                  'product_img',
                  'customer',
                  'customer_img',
                  'business',
                  'business_img',
                  'market',
                  'market_img',
                  'competition',
                  'competition_img',
                  'vision',
                  'vision_img',
                  'founders',
                  'founders_img',
                  'video'
                 )

    

class ProjectFinalizeForm(forms.ModelForm):

    
    class Meta:

        model = Project

        fields = ('is_published',)



class ProjectShownForm(forms.ModelForm):

    
    class Meta:

        model = Project

        fields = ('is_shown',)

api/v1/blog/views.py
from api.v1.blog.subviews.category import CategoryViewSet
from api.v1.blog.subviews.post import PostViewSet

api/v1/project/views.py
from api.v1.project.subviews.project import ProjectViewSet
from api.v1.project.subviews.comment import CommentViewSet
from api.v1.project.subviews.hitcount import ProjectHitCountView

blog/views.py
from django.shortcuts import render
from django.views.generic import TemplateView,ListView,DetailView,CreateView

from .models import Post , Category

from django.urls import reverse_lazy



from django.shortcuts import get_object_or_404
from django.views.generic import View

class BlogTemplateView(ListView):
    template_name = 'pages/blog/posts.html'
    page_name = 'home'
    context_object_name = 'character_series_list'
    def get_context_data(self, **kwargs):
        context = super(BlogTemplateView, self).get_context_data(**kwargs)
        context.update({
            'post_show': Post.objects.all(),
            'categories': Category.objects.all(),
        })
        return context

    def get_queryset(self):
        return Post.objects.order_by('title')





class PostTemplateView(View):
    template_name = 'page/blog/post.html'
    view = {
        'page_name': 'blog_page',
        'remove_footer': True
    }
    slug_field = 'slug'
    def get(self, request, slug, *args, **kwargs):
        post = get_object_or_404(Post, slug=slug)
        category = get_object_or_404(Category, slug=slug)
        return render(request, self.template_name, {'category':category,'post': post, 'view': self.view})

project/views.py
from .models import Project

from django.http import Http404
from django.urls import reverse_lazy
from project.forms import (
    ProjectForm, 
    ProjectShownForm, 
    ProjectFinalizeForm
)

from django.shortcuts import get_object_or_404
from django.views.generic import View
from django.forms.models import model_to_dict
from django.contrib.auth.mixins import LoginRequiredMixin
from django.contrib import messages
from django.shortcuts import redirect, render
from accounts.models import Application

from hitcount.views import HitCountMixin
from hitcount.views import HitCountDetailView

from functools import reduce

class ProjectTemplateView(View):
    template_name = "dashboard/pages/project.html"
    view = {
        'page_name': 'Application',
        'remove_footer': True
    }

    def get(self, request, sku, sku_project, *args, **kwargs):
        project = get_object_or_404(Project, sku=sku_project)
        return render(request, self.template_name, {'project': project, 'view': self.view})


class ProjectView(LoginRequiredMixin, View):

    template_name = 'dashboard/pages/application-project-edit.html'
    view = {
        'page_name': "Project"
    }
    form = ProjectForm


    def validate_text_field(self):

        from django.core.exceptions import ValidationError
        
        except_values = ['<', '>', '/']

        summary = self.request.POST.get('summary')
        problem = self.request.POST.get('problem')
        solution = self.request.POST.get('solution')
        Product = self.request.POST.get('Product')
        Customer = self.request.POST.get('Customer')
        Business = self.request.POST.get('Business')
        Market = self.request.POST.get('Market')
        Competition = self.request.POST.get('Competition')
        Vision = self.request.POST.get('Vision')
        Founders = self.request.POST.get('Founders')

        texts_list = [summary, problem, 
                      solution, Product,
                      Customer, Business, 
                      Market, Competition, 
                      Vision, Founders
                    ]
                    
        texts = list(filter(lambda x: bool(x)==True, texts_list))
        
        for text in texts:

            for e_v in except_values:
            
                if e_v in text:

                    return False

        return True


    def check_clean_checkbox(self, request):

        return lambda file_filed: bool(request.FILES.get('{}-clean'.format(file_filed)))


    def check_file_field(self, request):

        return lambda file_filed: bool(request.FILES.get(file_filed))


    def file_filed_status(self, request, instance, value):

        check_clean_checkbox = self.check_clean_checkbox(request)
        check_file_field = self.check_file_field(request)
        
        if check_clean_checkbox(value) and not check_file_field(value):

            return None

        if not check_clean_checkbox(value) and check_file_field(value):

            return request.FILES.get(value)

        if not check_clean_checkbox(value) and not check_file_field(value):

            return getattr(instance, value)
    
    def is_user_valid(self, request, instance, *args, **kwargs):

        return True if request.user == instance.application.user else False


    def get(self, request, sku=None, sku_project=None, *args, **kwargs):

        project = get_object_or_404(Project, sku=sku_project)
        
        if self.is_user_valid(request, project):

            form = self.form(initial=model_to_dict(project))

            return render(request, self.template_name, {"form": form, "view": self.view, "project": project })
        
        else:
            raise Http404


    def post(self, request, sku=None, sku_project=None, *args, **kwargs):
        project = get_object_or_404(Project, sku=sku_project)
        form = self.form(request.POST, request.FILES, instance=project)

        if self.is_user_valid(self.request, project):

            if form.is_valid():

                if self.validate_text_field():

                    form.save(commit=False)

                    # print(request.POST)

                    project.title = request.POST.get('title')

                    project.summary = request.POST.get('summary')

                    project.summary_img = self.file_filed_status(request, project, 'summary_img')

                    project.problem = request.POST.get('problem')

                    project.problem_img = self.file_filed_status(request, project, 'problem_img')

                    project.solution = request.POST.get('solution')

                    project.solution_img = self.file_filed_status(request, project, 'solution_img')

                    project.Product = request.POST.get('Product')

                    project.product_img = self.file_filed_status(request, project, 'product_img')

                    project.Customer = request.POST.get('Customer')

                    project.customer_img = self.file_filed_status(request, project, 'customer_img')

                    project.Business = request.POST.get('Business')

                    project.business_img = self.file_filed_status(request, project, 'business_img')

                    project.Market = request.POST.get('Market')

                    project.market_img = self.file_filed_status(request, project, 'market_img')

                    project.Competition = request.POST.get('Competition')

                    project.competition_img = self.file_filed_status(request, project, 'competition_img')

                    project.Vision = request.POST.get('Vision')

                    project.vision_img = self.file_filed_status(request, project, 'vision_img')

                    project.Founders = request.POST.get('Founders')

                    project.founders_img = self.file_filed_status(request, project, 'founders_img')

                    project.video = self.file_filed_status(request, project, 'video')

                    project.cover = self.file_filed_status(request, project, 'cover')

                    project.is_shown = False

                    project.save()
                    
                    messages.success(request, "Your project has been changed.")

                    # import pdb ; pdb.set_trace()
                    return redirect('dashboard:application-edit', project.application.sku)

                else:

                    messages.error(request, "You can't use from < > / characters.")
                    
                    return redirect('dashboard:application-edit', project.application.sku)

            else:

                for f, m in form.errors.get_json_data().items():

                    message = m[0]['message']

                    field = ' '.join(map(lambda x: str(x.capitalize()), f.split('_')))   

                    messages.error(request, '{}: {}'.format(field, message))

                return redirect("dashboard:application-edit", project.application.sku)

        else:

            messages.error(request, "Some Error has been occured.")

            return redirect('dashboard:application-edit', project.application.sku)


class ProjectFinalizeView(LoginRequiredMixin, View):

    view = {
        'page_name': "Project"
    }
    form = ProjectFinalizeForm

    def is_user_valid(self, request, instance, *args, **kwargs):
        return True if request.user == instance.user else False

    def is_published_valid(self, request, instance):

        if request.POST.get('is_published') == 'true':
            # import pdb; pdb.set_trace()
            # instance.has_product and instance.qatari_partnership
            if  instance.title and \
                instance.summary and \
                instance.problem and \
                instance.solution and \
                instance.product and \
                instance.customer and \
                instance.business and \
                instance.market and \
                instance.vision and \
                instance.founders and \
                instance.cover and \
                instance.video:
                # import pdb; pdb.set_trace()
                messages.info(request, 'Project\'s detail has been changed')

                # if all fields are set
                return True

            else:

                messages.warning(request, 'Project\'s fields must be filled')

                # if one of field are none
                return False
        else:

            # if is_published set to false
            return False


    def get(self, request, sku, sku_project, *args, **kwargs):
        return redirect("dashboard:home")

    def post(self, request, sku, sku_project, *args, **kwargs):

        project = Project.objects.get(sku = sku_project)

        form = self.form(request.POST, instance=project)

        # import pdb; pdb.set_trace()
        if self.is_user_valid(request, project.application):

            if self.is_published_valid(request, project):
                # import pdb; pdb.set_trace()

                if form.is_valid():

                    messages.success(request, "Your project is finalized.")

                    project.is_published = True
                    project.save()

                    return redirect("dashboard:application-edit", project.application.sku)

                else:

                    for f, m in form.errors.get_json_data().items():

                        message = m[0]['message']

                        field = ' '.join(map(lambda x: str(x.capitalize()), f.split('_')))   

                        messages.error(request, '{}: {}'.format(field, message))

                    return redirect("dashboard:application-edit", project.application.sku)

        else:

            raise Http404

        # return redirect("dashboard:application-project-edit", project.application.sku, project.sku)
        return redirect("dashboard:application-edit", project.application.sku)

media/templates/partials/about.html
<!-- Start deneb_about section -->
<section class="deneb_about about_v1">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-5">
                <div class="deneb_img_box wow fadeInLeft">
                    <img src="{{  site.about_pic.url }}" class="img-fluid" alt="{{ site.alternative_about_pic }}">
                </div>
            </div>
            <div class="col-lg-7">
                <div class="deneb_content_box wow fadeInRight">
                    <h2>About us </h2>
                    {{ site.about_us|safe|truncatechars:1000 }}
                    <br/>
                    <a href="{% url 'pages:about' %}" class="deneb_btn">Read More</a>
                </div>
            </div>
        </div>
    </div>
</section>

media/templates/partials/achievement.html
<!-- Start deneb_achivement section -->
<!-- <section class="deneb_achivement section_padding">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-6  wow fadeInLeft">
                <div class="section_title">
                    <h2>{{ site.achievement_title }}</h2>
                </div>
                <div class="deneb_content_box">
                    {{ site.achievement_description|safe }}
                </div>
            </div>
            <div class="col-lg-6">
                <div class="achivment_wrapper">
                    {% for achievement in site.achievements.all %}
                        <div class="single_achivment wow fadeInUp">
                            <div class="icon">
                                <img src="{{ achievement.icon_svg.url }}" class="img-fluid" alt="{{ achievement.alternative_icon }}">
                            </div>
                            <h3>{{ achievement.count }}</h3>
                            <p>{{ achievement.title }}</p>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
</section> -->
<!-- End deneb_achivement section -->

media/templates/partials/contact.html
{% load widget_tweaks %}
<!-- Start deneb_contact section -->
<section class="deneb_contact cantact_v2 section_padding">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="section_title">
                    <h2>Send us a message</h2>
                    <p>Don't hesitate to contact us. We are here to help you grow and we will stand by your side all the way through.</p>
                </div>
                <div class="contact_form">

                    {% if messages %}
                        <ul class="messages">
                            {% for message in messages %}
                            <div class="alert alert-{{ message.tags }}" role="alert">
                                {{ message }}
                            </div>
                            {% endfor %}
                        </ul>
                    {% endif %}
                    
                    {% for hidden in form.hidden_fields %}
                        {{ hidden }}
                    {% endfor %}

                    <form method="POST" id="captchaForm" action="{% url 'pages:contact' %}">
                        <div class="row">
                            {% csrf_token %}
                            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                            
                            {% for field in form.visible_fields %}
                                {% if forloop.last %}
                                    <div class="col-lg-12">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% else %}
                                    <div class="col-lg-6">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% endif %}
                            {% endfor %}

                            <div class="col-lg-12">
                                <div class="button_box">
                                    <button type="submit" class="deneb_btn">Submit Now</button>
                                </div>
                            </div>
                        </div>

                    </form>

                </div>
            </div>
        </div>
    </div>
</section>
<!-- End deneb_contact section -->
<!-- Start deneb_map section -->
<!-- <section class="deneb_map">
    <div class="map_box">
        <iframe src="{{ site.map }}"></iframe>
    </div>
</section> -->

media/templates/partials/get-in-touch.html
{% load static %}
{% load widget_tweaks %}
{% load cache %}

{% cache 500 getintouch %}
<!-- Start deneb_contact section -->
<section class="deneb_contact contact_v1">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-6">
                <div class="deneb_img_box">
                    <img src="{% static 'assets/images/contact.png' %}" class="img-fluid" alt="">
                </div>
            </div>
            <div class="col-lg-6">
                <div class="section_title">
                    <h2>Get In Touch With Us</h2>
                    <p>After receiving your message, our support team will contact you soon.</p>
                </div>
                <div class="contact_form">
                    <form method="POST" id="captchaForm" action="{% url 'pages:contact' %}">
                        <div class="row">
                            {% csrf_token %}
                            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                            
                            {% for field in form.visible_fields %}
                                {% if forloop.last %}
                                    <div class="col-lg-12">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% else %}
                                    <div class="col-lg-6">
                                        <div class="form_group">
                                            {% render_field field class="form_control" placeholder=field.label %}

                                            {% for error in field.errors %}
                                                <div class="alert alert-danger" role="alert" style="margin-top: 20px;">
                                                    {{ error }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>
                                {% endif %}
                            {% endfor %}

                            <div class="col-lg-12">
                                <div class="button_box">
                                    <button type="submit" class="deneb_btn">Submit Now</button>
                                </div>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End deneb_contact section -->
{% endcache %}

media/templates/partials/mobile-nav.html
{% load static %}
{% load cache %}

{% cache 500 mobilenav %}
<div class="mobile_wrapper">
    <div class="mobile_header">
        <div class="row align-items-center">
            <div class="col-6">
                <div class="brand_logo">
                    <a href="{% url 'pages:home' %}"><img src="{{ site.logo.url }}" style="width: 50%;" class="img-fluid" alt="{{ site.alternative_logo }}"></a>
                </div>
            </div>
            <div class="col-6">
                <div class="menu_button">
                    <div class="menu_icon">
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="sidenav_menu">
        <div class="close_icon">
            <a href="#" class="close_btn"><i class="fas fa-times"></i></a>
        </div>
        <ul class="sidebar-menu">
            <li class="menu-item {% if view.page_name == 'Home' %}active_link{% endif %}"><a href="{% url 'pages:home'  %}">Home</a></li>
            <li class="menu-item {% if view.page_name == 'About' %}active_link{% endif %}"><a href="{% url 'pages:about'  %}">About Us</a></li>
            <li class="menu-item {% if view.page_name == 'Services' %}active_link{% endif %}"><a href="{% url 'pages:service'  %}">Services</a></li>
            <li class="menu-item {% if view.page_name == 'Portfolio' %}active_link{% endif %}"><a href="{% url 'pages:portfolio'  %}">Portfolio</a></li>
            <li class="menu-item {% if view.page_name == 'Contact' %}active_link{% endif %}"><a href="{% url 'pages:contact'  %}">Contact Us</a></li>
            
            {% if not user.is_authenticated %}
                <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="{% url 'dashboard:home'  %}" style="padding: 2px 5px 12px 15px;" class="deneb_btn">{{ request.user.username }}</a></li>
            {% else %}
            <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="{% url 'login'  %}" class="deneb_btn" style="padding: 2px 5px 12px 15px;">Apply Now</a></li>
            {% endif %}
        </ul>
    </div>
</div>
{% endcache %}

media/templates/partials/nav.html
{% load static %}
{% load cache %}

{% cache 500 nav view.page_name request.user.username  %}
<div class="site_menu">
    <div class="row align-items-center">
        <div class="col-lg-2">
            <div class="brand">
                <a href="{% url 'pages:home' %}" class="logo"><img src="{{ site.logo.url }}" class="img-fluid" alt="{{ site.alternative_logo }}"></a>
            </div>
        </div>
        <div class="col-lg-10">
            <div class="primary_menu" id="menu">
                <nav class="main_menu">
                    <ul>
                        <li class="menu-item {% if view.page_name == 'Home' %}active_link{% endif %}"><a href="{% url 'pages:home'  %}">Home</a></li>
                        <li class="menu-item {% if view.page_name == 'About' %}active_link{% endif %}"><a href="{% url 'pages:about'  %}">About Us</a></li>
                        <li class="menu-item {% if view.page_name == 'Services' %}active_link{% endif %}"><a href="{% url 'pages:service'  %}">Services</a></li>
                        <li class="menu-item {% if view.page_name == 'Portfolio' %}active_link{% endif %}"><a href="{% url 'pages:portfolio'  %}">Portfolio</a></li>
                        <li class="menu-item {% if view.page_name == 'Contact' %}active_link{% endif %}"><a href="{% url 'pages:contact'  %}">Contact Us</a></li>
                        {% if user.is_authenticated %}
                            <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="{% url 'dashboard:home'  %}" class="deneb_btn">{{ request.user.username }}</a></li>
                        {% else %}
                            <li class="menu-item {% if view.page_name == 'Apply' %}active_link{% endif %}"><a href="{% url 'login'  %}" class="deneb_btn">Apply now</a></li>
                        {% endif %}
                    </ul>
                </nav>
            </div>
        </div>
    </div>
</div>
{% endcache %}